import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
  * Lsung zu GKInf / Einfache Programme / Schleifen / Aufg. 2
  * Division durch Subtraktion
  *
  * @version 1.0 vom 04.01.2012
  * @author R.Mechling
  */

public class divsub extends JFrame {
  // Anfang Attribute
  private TextField textField1 = new TextField();
  private Label label1 = new Label();
  private Button button1 = new Button();
  private Label label2 = new Label();
  private TextField textField3 = new TextField();
  private Label label3 = new Label();
  private TextField textField2 = new TextField();
  // Ende Attribute

  public divsub(String title) {
    // Frame-Initialisierung
    super(title);
    setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
    int frameWidth = 263; 
    int frameHeight = 217;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    setResizable(false);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    textField1.setBounds(104, 24, 129, 25);
    textField1.setEditable(true);
    cp.add(textField1);
    label1.setBounds(16, 24, 83, 25);
    label1.setText("Erste Zahl :");
    cp.add(label1);
    button1.setBounds(16, 104, 217, 33);
    button1.setLabel("Quotient berechnen ");
    button1.addActionListener(new ActionListener() { 
      public void actionPerformed(ActionEvent evt) { 
        button1_ActionPerformed(evt);
      }
    });
    cp.add(button1);
    label2.setBounds(16, 144, 83, 25);
    label2.setText("Ausgabe :");
    cp.add(label2);
    textField3.setBounds(104, 144, 129, 25);
    cp.add(textField3);
    label3.setBounds(16, 64, 83, 25);
    label3.setText("Zweite Zahl :");
    cp.add(label3);
    textField2.setBounds(104, 64, 129, 25);
    cp.add(textField2);
    setTitle("Division durch Subtraktion");
    // Ende Komponenten

    setVisible(true);
  }

  // Anfang Methoden
  public void button1_ActionPerformed(ActionEvent evt) {
    /* Eingabe */
    int z = Integer.parseInt(textField1.getText());
    int s = Integer.parseInt(textField2.getText());
    int e = 0;

    /* Verarbeitung */
    do {
      e = e + 1;
      z = z - s;  { }
    } while (z >= s);   /* Durchfhrungsbedingung */

    /* Ausgabe */
    textField3.setText(Integer.toString(e));
  }

  // Ende Methoden

  public static void main(String[] args) {
    new divsub("input_test1");
  }
}

/*
 * zu Teil b): Wenn der Dividend a kleiner ist als der Divisor b,
 *             liefert das Programm fr a DIV b das falsche
 *             Ergebnis 1. Dies liegt daran, dass der Schleifen-
 *             rumpf mindestens einmal durchlaufen wird, weil die
 *             Schleifenbedingung erst am Ende der Schleife
 *             getestet wird.
 */
